do
iranIADS = SkynetIADS:create('IRIAF')

---debug settings remove from here on if you do not wan't any output on what the IADS is doing
local iadsDebug = iranIADS:getDebugSettings()
iadsDebug.IADSStatus = true
--iadsDebug.samWentDark = true
iadsDebug.contacts = true
--iadsDebug.radarWentLive = true
--iadsDebug.noWorkingCommmandCenter = true
--iadsDebug.ewRadarNoConnection = true
--iadsDebug.samNoConnection = true
--iadsDebug.jammerProbability = true
--iadsDebug.addedEWRadar = true
--iadsDebug.addedSAMSite = true
--iadsDebug.hasNoPower = true
--iadsDebug.harmDefence = true
--iadsDebug.warnings = true
iadsDebug.samSiteStatusEnvOutput = true
iadsDebug.earlyWarningRadarStatusEnvOutput = true
---end remove debug ---

iranIADS:addEarlyWarningRadarsByPrefix('EW')
iranIADS:addSAMSitesByPrefix('SAM')
iranIADS:setUpdateInterval(10)
iranIADS:setupSAMSitesAndThenActivate()
iranIADS:activate()


--COMMAND CENTER ADD:

local commandCenter = StaticObject.getByName("CMDwest")
local comPowerSource = Unit.getByName("CMDwestGPU")
iranIADS:addCommandCenter(commandCenter):addPowerSource(comPowerSource)

local commandCenter = StaticObject.getByName("CMDwestcentral")
local comPowerSource = StaticObject.getByName("PowerBox CMDwestcentral")
iranIADS:addCommandCenter(commandCenter):addPowerSource(comPowerSource)

local commandCenter = StaticObject.getByName("CMDcentral")
local comPowerSource = Unit.getByName("CMDcentralGPU")
iranIADS:addCommandCenter(commandCenter):addPowerSource(comPowerSource)

local commandCenter = StaticObject.getByName("CMDeast")
local comPowerSource = StaticObject.getByName("PowerBox CMDeast")
iranIADS:addCommandCenter(commandCenter):addPowerSource(comPowerSource)

local commandCenter = StaticObject.getByName("CMDfareast")
local comPowerSource = Unit.getByName("CMDfareastGPU")
iranIADS:addCommandCenter(commandCenter):addPowerSource(comPowerSource)

--EW RADAR ADD:

local connectionNode = Unit.getByName("NODEwest")
iranIADS:getSAMSiteByGroupName('SAM-SA-15 point-defence EW-west'):addConnectionNode(connectionNode)

local SA15PointDEF = iranIADS:getSAMSiteByGroupName('SAM-SA-15 point-defence EW-west')
local connectionNodeEW = Unit.getByName("NODEwest")
local powerSource = Unit.getByName("PS GPU EW-west")
iranIADS:getEarlyWarningRadarByUnitName('EW-west'):addConnectionNode(connectionNodeEW):addPowerSource(powerSource):addPointDefence(SA15PointDEF)

local connectionNode = Unit.getByName("NODEwest")
iranIADS:getSAMSiteByGroupName('SAM-SA-15-point-defence-EW-west2'):addConnectionNode(connectionNode)

local SA15PointDEF = iranIADS:getSAMSiteByGroupName('SAM-SA-15-point-defence-EW-west2')
local connectionNodeEW = Unit.getByName("NODEwest")
local powerSource = Unit.getByName("PS GPU EW-west2")
iranIADS:getEarlyWarningRadarByUnitName('EW-west2'):addConnectionNode(connectionNodeEW):addPowerSource(powerSource):addPointDefence(SA15PointDEF):setIgnoreHARMSWhilePointDefencesHaveAmmo(true)

local connectionNode = Unit.getByName("NODEwest")
iranIADS:getSAMSiteByGroupName('SAM-SA-15-point-defence-EW-west3'):addConnectionNode(connectionNode)

local SA15PointDEF = iranIADS:getSAMSiteByGroupName('SAM-SA-15-point-defence-EW-west3')
local connectionNodeEW = Unit.getByName("NODEwest")
local powerSource = StaticObject.getByName("PS PowerBox EW-west3")
iranIADS:getEarlyWarningRadarByUnitName('EW-west3'):addConnectionNode(connectionNodeEW):addPowerSource(powerSource):addPointDefence(SA15PointDEF):setIgnoreHARMSWhilePointDefencesHaveAmmo(true)

local connectionNode = Unit.getByName("NODEcentral")
iranIADS:getSAMSiteByGroupName('SAM-SA-15-point-defence-EW-center'):addConnectionNode(connectionNode)

local SA15PointDEF = iranIADS:getSAMSiteByGroupName('SAM-SA-15-point-defence-EW-center')
local connectionNodeEW = Unit.getByName("NODEcentral")
local powerSource = Unit.getByName("PS GPU EW-center")
iranIADS:getEarlyWarningRadarByUnitName('EW-center'):addConnectionNode(connectionNodeEW):addPowerSource(powerSource):addPointDefence(SA15PointDEF):setIgnoreHARMSWhilePointDefencesHaveAmmo(true)

local connectionNode = Unit.getByName("NODEcentral")
iranIADS:getSAMSiteByGroupName('SAM-SA-15-point-defence-EW-center2'):addConnectionNode(connectionNode)

local SA15PointDEF = iranIADS:getSAMSiteByGroupName('SAM-SA-15-point-defence-EW-center2')
local connectionNodeEW = Unit.getByName("NODEcentral")
local powerSource = Unit.getByName("PS GPU EW-center2")
iranIADS:getEarlyWarningRadarByUnitName('EW-center2'):addConnectionNode(connectionNodeEW):addPowerSource(powerSource):addPointDefence(SA15PointDEF):setIgnoreHARMSWhilePointDefencesHaveAmmo(true)


local connectionNodeEW = Unit.getByName("NODEcentral")
local powerSource = Unit.getByName("PS GPU EW-center3")
iranIADS:getEarlyWarningRadarByUnitName('EW-center3'):addConnectionNode(connectionNodeEW):addPowerSource(powerSource)

local connectionNode = Unit.getByName("NODEeast")
iranIADS:getSAMSiteByGroupName('SAM-SA-15-point-defence-EW-east'):addConnectionNode(connectionNode)

local SA15PointDEF = iranIADS:getSAMSiteByGroupName('SAM-SA-15-point-defence-EW-east')
local connectionNodeEW = Unit.getByName("NODEeast")
local powerSource = Unit.getByName("CMDeastGPU")
iranIADS:getEarlyWarningRadarByUnitName('EW-east'):addConnectionNode(connectionNodeEW):addPowerSource(powerSource):addPointDefence(SA15PointDEF):setIgnoreHARMSWhilePointDefencesHaveAmmo(true)

local connectionNode = Unit.getByName("NODEeast")
iranIADS:getSAMSiteByGroupName('SAM-SA-15-point-defence-EW-east2'):addConnectionNode(connectionNode)

local SA15PointDEF = iranIADS:getSAMSiteByGroupName('SAM-SA-15-point-defence-EW-east2')
local connectionNodeEW = Unit.getByName("NODEeast")
local powerSource = Unit.getByName("PS GPU EW-east2")
iranIADS:getEarlyWarningRadarByUnitName('EW-east2'):addConnectionNode(connectionNodeEW):addPowerSource(powerSource):addPointDefence(SA15PointDEF):setIgnoreHARMSWhilePointDefencesHaveAmmo(true)

local connectionNode = Unit.getByName("NODEeast")
iranIADS:getSAMSiteByGroupName('SAM-SA-15-point-defence-EW-east3'):addConnectionNode(connectionNode)

local SA15PointDEF = iranIADS:getSAMSiteByGroupName('SAM-SA-15-point-defence-EW-east3')
local connectionNodeEW = Unit.getByName("NODEeast")
local powerSource = StaticObject.getByName("PS PowerBox EW-east3")
iranIADS:getEarlyWarningRadarByUnitName('EW-east3'):addConnectionNode(connectionNodeEW):addPowerSource(powerSource):addPointDefence(SA15PointDEF):setIgnoreHARMSWhilePointDefencesHaveAmmo(true)

--SAM SITE ADD:

local connectionNode = Unit.getByName("NODEwest")
iranIADS:getSAMSiteByGroupName('SAM-SA-15-defence-western-SAM-SA-2'):addConnectionNode(connectionNode)

local connectionNode = Unit.getByName("NODEwest")
local powerSource = StaticObject.getByName("PowerBox SAM-SA-2 westcentral")  
iranIADS:getSAMSiteByGroupName('SAM-SA-2'):addPowerSource(powerSource):addConnectionNode(connectionNode)

local connectionNode = Unit.getByName("NODEwest")
local powerSource = StaticObject.getByName("GPU SA-11 Buk EW-west")
iranIADS:getSAMSiteByGroupName('SAM-SA-11 EW-west airdefence'):addPowerSource(powerSource):addConnectionNode(connectionNode)

local connectionNode = Unit.getByName("NODEwest")
local powerSource = Unit.getByName("SA-9GPU-SAM-SA-9")  
iranIADS:getSAMSiteByGroupName('SAM-SA-9'):addPowerSource(powerSource):addConnectionNode(connectionNode)

local connectionNode = Unit.getByName("NODEcentral")
iranIADS:getSAMSiteByGroupName('SAM-SA-15-defence-Command-Central'):addConnectionNode(connectionNode)

local connectionNode = Unit.getByName("NODEcentral")
local powerSource = StaticObject.getByName("BUK-11-central-APA-GPU-Zil-131")
iranIADS:getSAMSiteByGroupName('SAM-SA-11-central'):addPowerSource(powerSource):addConnectionNode(connectionNode)

local connectionNode = Unit.getByName("NODEcentral")
local powerSource = StaticObject.getByName("SA-6-powerbox-EW-center3")  
iranIADS:getSAMSiteByGroupName('SAM-SA-6-defence-EW-center3'):addPowerSource(powerSource):addConnectionNode(connectionNode)

local connectionNode = Unit.getByName("NODEcentral")
local powerSource = Unit.getByName("SA-3-GPU-SAM-SA-3")  
iranIADS:getSAMSiteByGroupName('SAM-SA-3-defence-EW-center3'):addPowerSource(powerSource):addConnectionNode(connectionNode)

local connectionNode = Unit.getByName("NODEcentral")
local powerSource = Unit.getByName("SA-6GPU-SAM-SA-6")  
iranIADS:getSAMSiteByGroupName('SAM-SA-6'):addPowerSource(powerSource):addConnectionNode(connectionNode)

local connectionNode = Unit.getByName("NODEcentral")
local powerSource = StaticObject.getByName("SA-8-mobile-power-APA-Zil-131")
iranIADS:getSAMSiteByGroupName('SAM-SA-8'):addConnectionNode(connectionNode)

local connectionNode = Unit.getByName("NODEeast")
iranIADS:getSAMSiteByGroupName('SAM-Bandar-Abbas-point-defence'):addConnectionNode(connectionNode)

local SA15PointDEF = iranIADS:getSAMSiteByGroupName('SAM-Bandar-Abbas-point-defence')
local connectionNode = Unit.getByName("NODEeast")
local powerSource = StaticObject.getByName("PS_Bandar_Abbas_SA-10") 
iranIADS:getSAMSiteByGroupName('SAM-SA-10-S-300-Bandar-Abbas'):addPowerSource(powerSource):addConnectionNode(connectionNode):setActAsEW(true):addPointDefence(SA15PointDEF):setIgnoreHARMSWhilePointDefencesHaveAmmo(true)

local connectionNode = Unit.getByName("NODEeast")
iranIADS:getSAMSiteByGroupName('SAM-SA-15-Qeshm-SCUD-Primary-Defence'):addConnectionNode(connectionNode)

local connectionNode = Unit.getByName("NODEeast")
iranIADS:getSAMSiteByGroupName('SAM-SA-15-Qeshm-SCUD-Secondary-Defence'):addConnectionNode(connectionNode)

local connectionNode = Unit.getByName("NODEeast")
local powerSource = Unit.getByName("SA-11GPU-SAM-SA-11")  
iranIADS:getSAMSiteByGroupName('SAM-SA-11'):addPowerSource(powerSource):addConnectionNode(connectionNode)


local connectionNode = Unit.getByName("NODEeast")
local powerSource = StaticObject.getByName("powerbox-Kub-SA-6-defence-EW-east2")
iranIADS:getSAMSiteByGroupName('SAM-SA-6-Kub-defence-EW-east2'):addPowerSource(powerSource):addConnectionNode(connectionNode)

local connectionNode = Unit.getByName("NODEfareast")
iranIADS:getSAMSiteByGroupName('SAM-SA-15-defence-fareastNODE'):addConnectionNode(connectionNode)

local connectionNode = Unit.getByName("NODEfareast")
iranIADS:getSAMSiteByGroupName('SAM-SA-15-point-defence-SA-10'):addConnectionNode(connectionNode)

local SA15PointDEF = iranIADS:getSAMSiteByGroupName('SAM-SA-15-point-defence-SA-10')
local connectionNode = Unit.getByName("NODEfareast")
local powerSource = Unit.getByName("PS_MobiGPU_SAM_SA-10")  
iranIADS:getSAMSiteByGroupName('SAM-SA-10'):addPowerSource(powerSource):addConnectionNode(connectionNode):setActAsEW(true):addPointDefence(SA15PointDEF):setIgnoreHARMSWhilePointDefencesHaveAmmo(true)

--secondary NODE connections:

local connectionNode = Unit.getByName('NODEeast')
iranIADS:getSAMSiteByGroupName('SAM-SA-10'):addConnectionNode(connectionNode)

local connectionNode = Unit.getByName('NODEfareast')
iranIADS:getSAMSiteByGroupName('SAM-SA-10-S-300-Bandar-Abbas'):addConnectionNode(connectionNode)

local connectionNode = Unit.getByName("NODEfareast")
iranIADS:getSAMSiteByGroupName('SAM-SA-6-Kub-defence-EW-east2'):addConnectionNode(connectionNode)

--ADD AWACS:

iranIADS:addEarlyWarningRadar('AWACS-K-50')

--AWACS EW NODE connections:

local connectionNodeEW = Unit.getByName('NODEeast')
ewRadar = iranIADS:getEarlyWarningRadarByUnitName('AWACS-K-50')
ewRadar:addConnectionNode(connectionNodeEW)

local connectionNodeEW = Unit.getByName('NODEfareast')
ewRadar = iranIADS:getEarlyWarningRadarByUnitName('AWACS-K-50')
ewRadar:addConnectionNode(connectionNodeEW)

local connectionNodeEW = Unit.getByName('NODEcentral')
ewRadar = iranIADS:getEarlyWarningRadarByUnitName('AWACS-K-50')
ewRadar:addConnectionNode(connectionNodeEW)

local connectionNodeEW = Unit.getByName('NODEwest')
ewRadar = iranIADS:getEarlyWarningRadarByUnitName('AWACS-K-50')
ewRadar:addConnectionNode(connectionNodeEW)


--USSR Grisha FFL1124.4 EW NODE connections:

local connectionNodeEW = Unit.getByName('NODEeast')
ewRadar = iranIADS:getEarlyWarningRadarByUnitName('EW-USSR Grisha FFL1124.4')
ewRadar:addConnectionNode(connectionNodeEW)

local connectionNodeEW = Unit.getByName('NODEfareast')
ewRadar = iranIADS:getEarlyWarningRadarByUnitName('EW-USSR Grisha FFL1124.4')
ewRadar:addConnectionNode(connectionNodeEW)

local connectionNodeEW = Unit.getByName('NODEcentral')
ewRadar = iranIADS:getEarlyWarningRadarByUnitName('EW-USSR Grisha FFL1124.4')
ewRadar:addConnectionNode(connectionNodeEW)

local connectionNodeEW = Unit.getByName('NODEwest')
ewRadar = iranIADS:getEarlyWarningRadarByUnitName('EW-USSR Grisha FFL1124.4')
ewRadar:addConnectionNode(connectionNodeEW)


iranIADS:addRadioMenu()


local jammerSource = Unit.getByName("USA-Jammer-Emmitter")
jammer = SkynetIADSJammer:create(jammerSource, iranIADS)


jammer:setMaximumEffectiveDistance(90)


end
